.rule {
  position: relative;
  border-radius: 0.25rem;
  border: 1px solid #dadce0;
  margin: 0.5rem 0;
  padding: 0.5rem 1rem;
  cursor: pointer;
  background-color: white;
  transition: background-color 0.2s ease;

  &.error {
    border: 1.5px solid #ff0000;
  }

  &.dragging {
    opacity: 0.5;
  }

  &-content {
    display: flex;
    align-items: center;
    justify-content: space-between;
    font-size: 1.1rem;

  &.useless-var-content {
    justify-content: space-around;

    .useless-var-explanation {
      font-size: 0.85rem;
    }
  }

    &-lhs, &-rhs, &-arrow {
      width: 33.3%;
      text-align: center;
    }
  }

  &:hover {
    background-color: #ebecf0;
    box-shadow: 0 3px 1px -2px rgb(0 0 0 / 20%), 0 2px 2px 0 rgb(0 0 0 / 14%), 0 1px 5px 0 rgb(0 0 0 / 12%);

    &-action {

    }
  }

  &-action {
    position: absolute;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    height: 100%;
    top: 0;
    right: 0;
    padding: 0 0.5rem;
    color: lightgray;

    &:hover {
     color: red;
    }
  }
}

.unit-rule {

  &-content {
    font-size: 1.1rem;
    &-equal, &-symbol, &-set {
      width: 33.3%;
      text-align: center;
    }

  }

}